class AddGlobalizeIt < ActiveRecord::Migration
  def self.up
    return unless Locale.language_code == 'it'
    Locale.set_translation("Username","Nome utente")
    Locale.set_translation("Password","Password")
    Locale.set_translation("Login","Accesso")
    Locale.set_translation("I forgot my password","Ho dimenticato la password")
    Locale.set_translation("user","utente")
    Locale.set_translation("Boxroom does not have an administrator yet","Boxroom non ha ancora un amministratore")
    Locale.set_translation("Create it here","Crealo ora")
    Locale.set_translation("Email","Email")
    Locale.set_translation("Confirm password","Conferma la password")
    Locale.set_translation("Create admin account","Crea amministratore")
    Locale.set_translation("permissions","permessi")
    Locale.set_translation("back to folder","torna alla cartella")
    Locale.set_translation("Name","Nome")
    Locale.set_translation("Size","Dimensione")
    Locale.set_translation("Date Modified","Data di modifica")
    Locale.set_translation("Create","Crea")
    Locale.set_translation("Read","Leggi")
    Locale.set_translation("Update","Modifica")
    Locale.set_translation("Delete","Cancella")
    Locale.set_translation("Save","Salva")
    Locale.set_translation("Apply changes to subfolders","Applica modifiche alle sotto-cartelle")
    Locale.set_translation("user settings","impostazioni utente")
    Locale.set_translation("sign out","uscita")
    Locale.set_translation("Find!","Trova!")
    Locale.set_translation("Folders","Cartelle")
    Locale.set_translation("Users","Utenti")
    Locale.set_translation("Groups","Gruppi")
    Locale.set_translation("Create folder","Crea cartella")
    Locale.set_translation("Upload file","Inserisci documento")
    Locale.set_translation("Back","Indietro")
    Locale.set_translation("Delete this user","Cancella questo utente")
    Locale.set_translation("Are you sure?","Sei sicuro?")
    Locale.set_translation("Delete this group","Cancella gruppo")
    Locale.set_translation("Rename this group","Rinomina gruppo")
    Locale.set_translation("New folder","Nuova cartella")
    Locale.set_translation("Rename this folder","Rinomina cartella")
    Locale.set_translation("Delete this folder","Cancella cartella")
    Locale.set_translation("All files and subfolders will be deleted!","Tutti i documenti e le cartelle contenute nella cartella da cancellare saranno rimossi!")
    Locale.set_translation("Select file to upload","Seleziona documento da inserire")
    Locale.set_translation("Upload","Inserisci")
    Locale.set_translation("Rename this file","Rinomina documento")
    Locale.set_translation("Delete this file","Cancella documento")
    Locale.set_translation("RSS warning","Avvertenza RSS")
    Locale.set_translation("You can keep track of changes in Boxroom folders via an RSS feed","Potete tenere sotto controllo le modifiche alle cartelle tramite un canale RSS")
    Locale.set_translation("Monitor files being uploaded to a folder;","Controllare documenti che vengono inseriti in una cartella")
    Locale.set_translation("Keep track of subfolders being created in a folder.","Controllare sotto-cartelle create in una cartella")
    Locale.set_translation("WARNING! A PERSONAL access key is used to authorize access to the feeds.","Attenzione! Una chiave d'accesso PERSONALE viene usata per accedere ai canali RSS.")
    Locale.set_translation("DO NOT SHARE THIS ACCESS KEY! Anyone can see the files and folders in your system if you do.","Non distribuitela! Quando cambiate password verrà assegnata anche una nuova chiave.")
    Locale.set_translation("NOTE: When you change your password, you will get a new RSS access key too.","Nota: con il cambio password viene assegnata una nuova chiave per accedere al canale RSS")
    Locale.set_translation("This means you have to <i>re-subscribe</i> to your Boxroom feeds.","Quindi bisogna <i>ri-sottoscriversi</i> ai canali RSS di interesse.")
    Locale.set_translation("Boxroom folder","Cartella")
    Locale.set_translation("Folder in Boxroom","Cartella")
    Locale.set_translation("File","Documento")
    Locale.set_translation(" is a file in "," è un documento in ")
    Locale.set_translation("Edit user","Aggiorna dati utente")
    Locale.set_translation("New password","Nuova password")
    Locale.set_translation("Member of these groups","Membro di questi gruppi")
    Locale.set_translation("New user","Nuovo utente")
    Locale.set_translation("Forgot password","Password dimenticata")
    Locale.set_translation("To get a new password","Per ottenere una nuova password")
    Locale.set_translation("Enter the username and/or the e-mail address you registered with","Inserire il proprio nome utente e/o email")
    Locale.set_translation("Click","Fare click")
    Locale.set_translation("Give me a new password","Ottieni nuova password")
    Locale.set_translation("Check your e-mail for the new password","Controlla la posta per la nuova password")
    Locale.set_translation("Back to login","Torna ad accesso")
    Locale.set_translation("New group","Nuovo gruppo")
    Locale.set_translation("Give this group ALL permissions in existing folders","Dai a questo gruppo tutti i permessi relativi alle cartelle già create")
    Locale.set_translation("By default new groups get NO permissions in existing folders.","Normalmente i nuovi gruppi non hanno alcun permesso relativo a cartelle  a cartelle già create.")
    Locale.set_translation("%d errors prohibited this utente from being saved","%d errori impediscono di proseguire")
    Locale.set_translation("%d errors prohibited this utente from being saved","%d errore impedisce di proseguire")
    Locale.set_translation("A new Boxroom password has been generated for you.","Una nuova password è stata creata per Boxroom")
    Locale.set_translation("Use the following to log in to Boxroom:","Usate i seguenti dati per l'accesso:")
    Locale.set_translation("URL:","Indirizzo (URL):")
    Locale.set_translation("Root folder","Cartella principale")
    Locale.set_translation("Preview","Anteprima")
    Locale.set_translation("Transfer failed: you have been taken back to the root folder.","Trasferimento fallito: sei stato riportato alla cartella principale.")
    Locale.set_translation("Your query","La tua ricerca")
    Locale.set_translation("Search results","Risultati")
    Locale.set_translation("Shown","Mostrati")
    Locale.set_translation("Download","Scarica")
    Locale.set_translation("with search query highlighted:","con i termini di ricerca evidenziati:")
    Locale.set_translation("Invalid username/password combination","Errore di inserimento di utente e/o password")
    Locale.set_translation("A new Boxroom account has been created for you:","Credenziali per l'accesso a Boxroom create:")
    Locale.set_translation("Folder","Cartella")
    Locale.set_translation(" is a subfolder of "," è una sotto-cartella di ")
    Locale.set_translation("There were problems with the following fields:","Sono stati rilevati i seguenti problemi:")
    Locale.set_translation(": %d error(s). Data was not saved",": %d errore/i. I dati non sono stati salvati")
    Locale.set_translation("Sorry, no results for your query","Nessun risultato trovato")
    Locale.set_translation("Create user","Crea utente")
    Locale.set_translation("Create group","Crea gruppo")
    Locale.set_translation("Edit this user's settings","Modifica proprietà dell'utente")
    Locale.set_translation("The new user's account information has been e-mailed to","Le informazioni per l'accesso del nuovo utente sono state inviate a ")
    Locale.set_translation("The mail server settings in the environment file are incorrect. Check the installation instructions to solve this problem. The user was created nevertheless.","Rilevati problemi nel sistema interno di posta elettronica, contattare un amministratore. L'utente è stato comunque creato.")
    Locale.set_translation("This means either the user's e-mail address or Boxroom's configuration for e-mailing is invalid. Please contact the administrator or check the installation instructions. The user was created nevertheless.","Ciò significa che il sistema mail dell'utente o di questa applicazione ha dei problemi, contattare un amministratore. L'utente è stato comunque creato.")
    Locale.set_translation("You saved your settings successfully","Modifiche apportate con successo")
    Locale.set_translation("Someone else deleted the user. Your action was cancelled.","Utente sconosciuto o rimosso, non è possibile effettuare l'azione richiesta.")
    Locale.set_translation("Open in browser","Apri sul browser")
    Locale.set_translation("Add local file(s)","Aggiungi documenti locali")
    Locale.set_translation("You don't have create permissions for this folder.","Non hai il permesso di alterare i contenuti di questa cartella.")
    Locale.set_translation("Complete path of file(s) to add","Percorso completo del documento/i da inserire")
    Locale.set_translation("File(s) succesfully added:","Documenti inseriti con successo:")
    Locale.set_translation("Edit file properties like name, tags&hellip;","Modifica attributi del documento come il nome, le etichette&hellip;")
    Locale.set_translation("Advanced Search","Ricerca Avanzata")
    Locale.set_translation("Search terms (optional if other terms are specified below):","Ricerca (facoltativa, se di seguito sono specificati altri termini di ricerca):")
    Locale.set_translation("(ignored)","(ignorato)")
    Locale.set_translation("tag","etichetta")
    Locale.set_translation("filename","nome documento")
    Locale.set_translation("content","contenuto")
    Locale.set_translation("New page with different number of search term fields:","Nuova pagina con il seguente numero di termini di ricerca:")
    Locale.set_translation("Show","Mostra")
    Locale.set_translation("Tags: ","Etichette: ")
    Locale.set_translation("Edit properties","Modifica proprietà")
    Locale.set_translation("Name:","Nome del file:")
    Locale.set_translation("Rename folder","Rinomina cartella")
    Locale.set_translation("Rename","Rinomina")
    Locale.set_translation("is not included in the list","non &egrave; incluso")
    Locale.set_translation("is too long (maximum is %d characters)","ha eccessiva lunghezza (la massima &egrave; %d)")
    Locale.set_translation("is reserved","&egrave; un valore riservato")
    Locale.set_translation("is too short (minimum is %d characters)","ha lunghezza insufficiente (la minima &egrave; %d)")
    Locale.set_translation("is invalid","non &egrave; valido")
    Locale.set_translation("is the wrong length (should be %d characters)","ha lunghezza errata (dovrebbe essere: %d)")
    Locale.set_translation("doesn't match confirmation","non corrisponde")
    Locale.set_translation("has already been taken","&egrave; gi&agrave; presente nel sistema")
    Locale.set_translation("can't be empty","non pu&ograve; essere vuoto")
    Locale.set_translation("must be accepted","&egrave; da accettare, per continuare")
    Locale.set_translation("is not a number","non &egrave; un numero")
    Locale.set_translation("can't be blank","non pu&ograve; essere lasciato in bianco")
    Locale.set_translation("(only my files)","(solo i miei files)")
    Locale.set_translation("(only current folder)","(solo la cartella corrente)")
    Locale.set_translation("Delete this folder","Cancella questa cartella")
    Locale.set_translation("All files and subfolders will be deleted!","Tutti i file e le sotto-cartelle saranno cancellati!")
    Locale.set_translation("Are you sure?","Sei sicuro?")
    Locale.set_translation("Click to check this item","Click per selezionare questo elemento")
    Locale.set_translation("Actions on multiple items:","Operazioni su più elementi")
    Locale.set_translation("Add tags to","Aggiungi tags a")
    Locale.set_translation("Remove tags from","Rimuovi tags da")
    Locale.set_translation("checked items","elementi selezionati")
    Locale.set_translation("unchecked items","elementi non selezionati")
    Locale.set_translation("Proceed","Procedi")
    Locale.set_translation("Move","Sposta")
    Locale.set_translation("No files or folders here","Nessun file o cartella presente")
    Locale.set_translation("Boxroom","Boxroom")
    Locale.set_translation("Select an operation","Scegli un'operazione")
    Locale.set_translation("(search all versions)","(tutte le versioni)")
    Locale.set_translation("Other terms to search for (put one for each line):","Altri termini di ricerca, inserirne uno per linea:")
    Locale.set_translation("Parent folder","Cartella superiore")
    Locale.set_translation("Add from mailbox","Aggiungi da mail")
    Locale.set_translation("Max upload file size (in Kb):","Massima dimensione del file consentita (in Kb:)")
    Locale.set_translation("List all versions","Elenco versioni")
    Locale.set_translation("Make current:","Trasforma in versione corrente:")
    Locale.set_translation("It is not strictly required, but please enable javascript.","Anche se non strettamente necessario, prego attivare javascript.")
    Locale.set_translation("(in current folder)","(nella cartella corrente)")
    Locale.set_translation("Activity","Attività")
    Locale.set_translation("Timestamp","Data/ora")
    Locale.set_translation("Description","Descrizione")
    Locale.set_translation("Data","Dati")
    Locale.set_translation("From IP","Da IP")
    Locale.set_translation("If file is a ZIP archive","Se il file è un archivio ZIP")
    Locale.set_translation("Do not expand","Non espandere")
    Locale.set_translation("Expand","Espandi")
    Locale.set_translation("Show page:","Mostra pagina:")
    Locale.set_translation("more","ancora")
    Locale.set_translation("Edit","Modifica")
    Locale.set_translation("items per page","elementi per pagina")
    Locale.set_translation("all","tutto")
    Locale.set_translation("Close","Chiudi")
    Locale.set_translation("Group","Gruppo")
    Locale.set_translation("User","Utente")
    Locale.set_translation("Or, move folder into:","Oppure, sposta in:")
    Locale.set_translation("File(s) succesfully added:","Documenti inseriti con successo:")
    Locale.set_translation("Error: file(s) not added!","Errore: documenti non inseriti!")
    Locale.set_translation("Done","Fatto")
    Locale.set_translation("Separate multiple tags with","Separare etichette multiple con")
    Locale.set_translation("Add preview/description","Aggiungi anteprima/descrizione")
    Locale.set_translation("Preview/description:","Anteprima/descrizione:")
    Locale.set_translation("Restore preview from file","Ripristina anteprima dal documento")
    Locale.set_translation("Trash","Cestino")
    Locale.set_translation("Show deleted files","Mostra documenti rimossi")
    Locale.set_translation("Delete all","Rimuovi tutti")
    Locale.set_translation("Restore","Ripristina")
    Locale.set_translation("This removes all trashed files you have access to, including those in the following pages if there are any.","Verranno rimossi tutti i files nel cestino a cui si ha accesso, inclusi quelli nelle pagine successive, se esistono.")
  end

  def self.down
  end
end

